Subject: Re: [RFC] git-gui: A commit / fetch / push interface

From: Shawn Pearce <[email-masked]>
Date: Wed, 8 Nov 2006 00:55:11 -0500

Liu Yubao <[email-masked]> wrote:
> Paul Mackerras wrote:
> >Shawn Pearce writes:
> >
> >>I liked it and wanted to start making it available to some folks I
> >>work with who are more comfortable with the mouse than they are with
> >>the keyboard.  At first I tried fixing a few of the outstanding bugs
> >>in gitool but I eventually wound up rewriting the thing from scratch.
> >
> >Cool!
> >
> >>I have posted a repository with the source on pasky's service:
> >>
> >>	http://repo.or.cz/w/git-gui.git
> >
> >Shouldn't the "w" be "r" there?  It gave me an error "Can't lock ref"
> >with the "w".
>
> This it a gitweb URL, not a repos URL for 'git clone', you can only view
> it in web browser.

Too bad pasky doesn't have the magic mapping setup in the webserver
so they are one and the same.  :-)

I linked to the gitweb rather than the repository as I figured
people might want to read the history, or since it was just one
blob download it right from the webpage rather than cloning the
repository.  But given that this is the git mailing list most people
probably would have expected to clone it instead...

--